# ANT property file for freehep-aid.jar
#
# Author: Mark Donszelmann
# Version: $Id: freehep-aid.properties,v 1.6 2005/01/28 22:59:34 duns Exp $
#
#
title=FreeHEP AID
name=freehep-aid
packages=org.freehep.aid.*, org.freehep.jaco.rtti.*, org.freehep.jaco.generator.*
packages.exclude=org.freehep.jaco.test.* org.freehep.jaco.rtti.idl.* org.freehep.jaco.rtti.cpp.* org.freehep.jaco.rtti.java.* 
jar.excludes=org/freehep/jaco/*, org/freehep/aid/test/**
jar.suffixes=*.class, *.txt, *.gif, *.properties, *.tvm, *.ivm, *.xslt, *.xsd
javacc.includes=org/freehep/aid/AidParser.jj
compile.includes=org/freehep/aid/test/TestSuite.java
compile.excludes=org/freehep/aid/test/ITest*.java org/freehep/aid/test/dev/ITest*.java
test.includes=org.freehep.aid.test.TestSuite
test.aid=true

aid.config.dir=org/freehep/aid/test
aid.cpp.dir=org/freehep/aid/test/include
aid.python.dir=org/freehep/aid/test/include
aid.includes=org/freehep/aid/test/ITestArrays.aid \
             org/freehep/aid/test/ITestCollections.aid \
             org/freehep/aid/test/ITestConstants.aid \
             org/freehep/aid/test/ITestEmpty.aid \
             org/freehep/aid/test/ITestEnumerations.aid \
             org/freehep/aid/test/ITestGenericsDefine.aid \
             org/freehep/aid/test/ITestGenericsDefine2.aid \
             org/freehep/aid/test/ITestGenericsUse.aid \
             org/freehep/aid/test/ITestInterface.aid \
             org/freehep/aid/test/ITestObjects.aid \
             org/freehep/aid/test/ITestPackageClosure.aid \
             org/freehep/aid/test/ITestPrimitives.aid \
             org/freehep/aid/test/ITestVoid.aid \
             org/freehep/aid/test/dev/ITestNameSpace.aid \
             org/freehep/aid/test/dev/ITestNameSpace2.aid
aid.jni.dir=org/freehep/aid/test/jni
aid.jni.includes=
